REST API ReferenceDashboard APIApps
Create a filter shortcode
POST
/apps/{id}/shortFiltersCreate a shortcode to represent a combination of various app filters.
These shortcodes can then be used in other app APIs which accept different filters. Shortcodes are short-lived, they'll be automatically removed after an hour or so.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
App's UUID.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/shortFilters" \ -H "Content-Type: application/json" \ -d '{ "filters": { "versions": [ "1.0" ], "version_codes": [ "1" ], "os_names": [ "android" ], "os_versions": [ "33" ], "countries": [ "bogon" ], "network_providers": [ "unknown" ], "network_types": [ "wifi" ], "network_generations": [ "unknown" ], "locales": [ "en-US" ], "device_manufacturers": [ "Google" ], "device_names": [ "emu64a" ], "ud_expression": "{\\"and\\":[{\\"cmp\\":{\\"key\\":\\"username\\",\\"type\\":\\"string\\",\\"op\\":\\"eq\\",\\"value\\":\\"alice\\"}},{\\"cmp\\":{\\"key\\":\\"premium_user\\",\\"type\\":\\"bool\\",\\"op\\":\\"eq\\",\\"value\\":\\"true\\"}}]}" } }'{ "filter_short_code": "86f379b7afd9836d0877eb5c8ff93538"}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue